Installation der neuen libmp3lame - auf Mac Mini mit OS X 4.10

  • Da ich keine Erfahrung mit dem Terminal von Mac OS X habe, geschweige denn mit einem Compilierer, stehe ich der Installation der für die 1.3.3-beta-Version notwendige libmp3lame, wie sie readme.txt des Downloads beschrieben ist, etwas hilflos gegenüber. Die einzige Aussage hier im Forum "Im multiverse-Repository von Ubuntu (hier: Edgy) gibt es ein Paket "liblame0". Das installiert eine Datei /usr/lib/libmp3lame.so.0." von Markus hilft mir auch nicht weiter.
    Ist es möglich, eine "fertige Datei" (=lib) mit der Angabe, wohin sie kopiert werden soll, zu erstellen?`Und diese - oder o.g. "Paket liblame0" mir ggf. zuzumailen?
    Danke jetzt schon für Eure Hilfe!
    Simon

  • 'Ubuntu multiverse-Repository' ist sowieso eine Linux Version. Probier mal das hier: http://spaghetticode.org/lame/…me-osx-universal-3.97.zip


    Im der zip-Datei öffnest Du den 'package' Ordner, darin den 'usr', darin den 'local', und darin den 'lib' Ordner (es gibt nur immer jeweils einen 'Ordner im Ordner', es hört sich also nur kompliziert an, in Wirklichkeit ist es ganz einfach). Im 'lib' Ordner findest Du eine Datei mit Namen 'libmp3lame.dylib'. Diese Datei kopierst Du in den Ordner, in dem sich auch Audacity befindet (die Datei mit dem Kopfhörer Symbol).


    Wenn Du Audacity gestartet hast musst Du noch unter 'Audacity > Preferences > Dateiformate' unter 'Suche Bibliothek' den Ort angeben, wo Du die 'libmp3lame.dylib' Date hinkopiert hast (im Audacity Ordner). Danach müsste der mp3 Export (theoretisch) funktionieren.


    Falls es Dich beruhigt: Terminal brauchst Du dazu eigentlich nicht, kannst Du alles im Finder machen.

  • Hallo, ich arbeite mich schon den ganzen tag durch die verschiedensten foren, aber ich denke, hier bin ich richtig.


    ich habe audacity 1.2.6 nach anleitung installiert. dann habe ich mir "libmp3lame-osx-universal-3.1" runtergeladen u. wie in der anleitung in den folder audacity kopiert.
    wenn ich bei aber bei einstellungen auf diese datei verweisen will, dann ist sie nicht hinterlegt!? ich sehe sie also, kann sie aber nicht auswählen.


    dann habe ich mit nochmal lame 3.97 runtergeladen u. installiert. hier ist die library überhaupt nicht zu finden.


    mache ich noch etwas falsch, habe ich inkompatible versionen o.ä?


    bitte um hilfe, ich zweifel schon an mir : )


    OS: 10.4.10

  • Hallo dino,
    ich verwende mit audacity 1.2.5 eine LameLib (so der Dateiname) von 2005. Damit klappts auf dem Mac problemlos. Da ich nicht mehr weiß, wo ich diese Version heruntergeladen habe, bin ich gern bereit, Dir diese Library per mail zuzuschicken. Schick mir einfach eine "Nachricht an Benutzer" mit der Erlaubnis, Dich direkt anzumailen. Dann bekommst Du sie.


    Gruß Siva

  • Quote from sivadach:1191176381


    Hallo dino,
    ich verwende mit audacity 1.2.5 eine LameLib (so der Dateiname) von 2005. Damit klappts auf dem Mac problemlos. Da ich nicht mehr weiß, wo ich diese Version heruntergeladen habe, bin ich gern bereit, Dir diese Library per mail zuzuschicken. Schick mir einfach eine "Nachricht an Benutzer" mit der Erlaubnis, Dich direkt anzumailen. Dann bekommst Du sie.


    Gruß Siva


    Hallo sivadach, sehr nett von dir. Danke! ich habe jetzt aber die neue beta von audacity installiert und - warum auch immer - findet diese version jetzt die bereits installierten lamelibs!? es funktioniert also alles : )


    trotzdem nochmal vielen dank!!!!


    dino